:root {
  --primary-color: #f7f7f7;
  --secondary-color: #212121;
  --lightgrey: #efefef;
  --darkgrey: #646464;
  --navbg: #22325F;
  --navcol: #fff; 
  --linkcol: #000;
  --darkblue: #22325F;
  --blue: #0092E1;
  --lightblue: #99D3F3;
}
/* root variables cannot be used in media queries so here for reference only:
  36em/57.6rem phone (Small devices (landscape phones, 576px and up)
  48em/76.8rem tablet (Medium devices (tablets, 768px and up)
  62em/99.2rem desktop (Large devices (desktops, 992px and up)
  75em/120rem large desktop (Large devices (desktops, 1200px and up)
  120em/192rem Pro/designer desktop (Large devices (desktops, 1920px and up, e.g. most pro design screens) 
*/

/* Note: We use a mix of "em" and "rem" dimensions throughout this css. 
Therefore adjusting body font size will alter any media queries and other dimensions that are based on "em". 
Feel free to change but be aware of possible unintended consequences :)  */
@font-face {
  font-family: 'Graphik-Regular';
  src: url("https://cdn-syd.brandkit.com/uploads/629/themes/573/fonts/Graphik-Regular.woff2?v=63905860478");
  font-weight: 400;
  font-style: normal;
}
@font-face {
  font-family: 'Graphik-Semibold';
  src: url("https://cdn-syd.brandkit.com/uploads/629/themes/573/fonts/Graphik-Semibold.woff2?v=63905860553");
  font-weight: 400;
  font-style: normal;
}

.body {
  font-family: 'Graphik-Regular', Helvetica, Arial, sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size:1.6rem; 
}
h1,h2,h3,h4,h5,h6 {
  font-family: 'Graphik-Semibold', Helvetica, Arial, sans-serif;
  font-weight: 400;
  font-style: normal;
}
.lead {font-size:1.3em;}
.center {text-align:center;}
/* ---------------------------------
    Navbar styles 
   --------------------------------- */
.navbar-section {
  padding-top: 0;
  padding-bottom: 0;
  /* navbar account name color */
  color: var(--navcol);
  /* navbar color */
  background-color: var(--navbg);
  /* navbar border at the bottom */
  border-bottom: 0px solid var(--primary-color);/* none */
}


/* dropdown */
.navbar-section-content .dropdown-button:hover,
.navbar-section-content .dropdown-button:focus-within {
  opacity: 0.7;
}

/* caret icon changes direction when menu is open - preview bar and search filters too */
.dropdown-button:focus-within .css-icon-caret-down,
.filter-name:focus-within .css-icon-caret-down {
  transform: rotate(180deg);
}

/* Hide logo and account name on mobile */
.account-logo .logo {
  display: none; 
  max-height: 4rem;
}

span.account-name {
  font-size: 1.6rem;
  display: none;
}

@media (min-width: 62em) {
  /* Adjust height and spacing for logo on desktop */
  .navbar-section {
    height: 12rem;
  }
  
  .account-logo .logo,
  span.account-name {
    display: block;
    height:4.5rem;
    max-height: 12rem;
    padding: auto;
  }	
  /* nav dropdown desktop */
  .navbar-section-content .dropdown-content {
    max-height: 80vh;
    overflow-y: scroll;
  }
}
/* Footer styles */
/* ---------------------
   Main Elements
   --------------------- */
.body {
  background-color: var(--primary-color);
}
.main {margin-top: 7rem;}


@media screen and (min-width: 62em) {
.main {margin-top: 10rem;}

}
.preview-mode .main {padding-top: 6rem;}

.welcome-paragraph {
  font-size:2rem;
}

mark {
	padding: 1rem 2rem;
	background-color: #f9d147;
    color: black;
}

/* fix code wrapping on mobile */
pre {
font-family: monospace,monospace;
font-size: 1em;
max-width: 100%;
overflow: auto;
white-space: normal;
}

/* ----------------
   Search widget
   ---------------- */

.search-section {
  max-width: 120rem;
  margin: 5rem auto; 	
}

.search-label{
  display: none;
}

.filters{
  justify-content: center;
}

.search-grid-section .page-actions, 
.search-grid-section .grid, 
.search-grid-section .assets-pagination {
  background-color: var(--primary-color);
  padding-bottom:4rem;  
}
.change-grid-view .icon-text {
display: none;
}

.file-icon::before{
  border-color: var(--primary-color) var(--primary-color) rgba(255, 255, 255, .3) rgba(255, 255, 255, .35);
}

/* ----------------
   Masonry view 
   ----------------- */
.masonry-asset {
  margin-bottom: 2rem;
  background-color: white;
  padding: 0;
  float: left;
}
.masonry-asset:hover {opacity:0.6;}
.masonry-asset .asset-grid-icon {position:relative;}
.masonry-asset .asset-grid-name {margin-left:0;}

/* ------------
Feed view 
---------------- */
.feed-view .asset-name {
	text-align:left;
  	justify-content:left;
}
.feed-view .asset-grid-name {
  font-size: 1.2em;
  text-align:left;
  font-weight:bold;
}
.feed-view .feed-asset-type-icon {display:none;}

/* ------------
   Gallery 
   ------------ */

/*-- Mobile --*/
.gallery-link,
.gallery-image {
  height: 8rem;
}

/*-- Desktop --*/
@media (min-aspect-ratio: 1/1) {
  .gallery-link,
  .gallery-image {
    height: 16rem;
  }
}


/* --------------
   Home Page 
   -------------- */
.intro-logo {
	max-width:20rem;
}


/* custom social links article */
.social-links {margin-top:5em;}
.social-links a {font-size:2rem;padding:1rem 2rem;}
/* end */

/* fix download form terms field separation issue */
.form-checkbox.terms {
margin: 5rem 0;
}/* Grid assets and Asset details page */

/* content additions */
.asset-info span:not(.asset-id, .asset-source):before,
.AssetView .asset-size:before,
.AssetView .asset-dimensions:before,
.AssetView .asset-word-count:before {
  content: ' • ';
}

.AssetView .asset-latitude:before {
  content:'Latitude: ';
}

.AssetView .asset-longitude:before {
  content:'Longitude: ';
}

.asset-source:before {
  content: 'src: ';
}

.asset-licence-value:before {
  content: ' -';
  margin-right: 0.5rem;
}

/* Hidden */
.asset-details-section .asset-type,
.asset-tags-title,
.asset-size-title,
.asset-dimensions-title,
.asset-created-at,
.asset-id-title,
.asset-licence-title,
.asset-word-count-title,
.collections-section-title {
  display: none;
}

/* Layout */

.asset-page-wrapper {
  padding: 2rem 2em;
}
@media (min-width:768px) {
  .asset-page-wrapper {
    padding: 6rem 6em;
  }
}

.asset-page-wrapper .section {
  padding: 1rem 0;
}

.asset-details-section {
  display: flex;
  flex-wrap: wrap;
  column-gap: 0.5rem;
  row-gap: 0.9rem;
}

.asset-details-section article {
  flex: 0 0 100%;
}                                                                                                       

.asset-details-section .asset-size,
.asset-details-section .asset-dimensions,
.asset-details-section .asset-extension,
.asset-details-section .asset-id,
.asset-details-section .asset-word-count {
  flex: 0 0 auto;
}

.related-assets-section {
  border-top: 1px dotted color-mix(in srgb, var(--color-body-text) 20%, transparent);
  padding-bottom: 4rem;
}

/* Grid area ordering */ 

.AssetView .asset-name {
  order: 1;
  width: 100%;
}

.AssetView .asset-type-icon {
  order: 2;
}

.AssetView .asset-id {
  order: 3;
}

.AssetView .asset-word-count {
  order: 4;
}

.AssetView .asset-size {
  order: 5;
}

.AssetView .asset-dimensions {
  order: 6;
}

.AssetView .asset-description {
  order: 7;
}

.AssetView .asset-ai-description {
  order: 7;
}

.AssetView .asset-licence {
  order: 8;
}

.AssetView .asset-terms-of-use {
  order: 9;
  padding-bottom: 1rem;
}

.AssetView .asset-expiry-date {
  order: 10;
}

.AssetView .asset-created-at {
  order: 12;
}

.AssetView .asset-credit {
  order: 13;
}

.AssetView .asset-usage {
  order: 14;
}

.AssetView .asset-reference {
  order: 15;
}

.AssetView .asset-account {
  order: 15;
}

.AssetView .asset-location {
  order: 16;
}

.asset-page-wrapper {
  grid-template-areas: "breadcrumb breadcrumb breadcrumb" "proxy proxy proxy" "details details details"  "tags tags tags" "actions actions actions";
}
.asset-page-wrapper.post {
  grid-template-areas: "breadcrumb breadcrumb breadcrumb" "proxy proxy proxy" "tags tags tags" "actions actions actions";
}

@media (min-width:36em) {
  .asset-page-wrapper .section {padding: 0;}
  .asset-page-wrapper .asset-tags-section {padding: 3rem 0;}
  .asset-proxy-section {margin-right: 5rem;}
  .asset-page-wrapper {
    grid-template-areas: "breadcrumb actions actions" "proxy proxy details" "proxy proxy tags";
  }
  .asset-page-wrapper.post {
    grid-template-areas: "breadcrumb actions actions" "proxy proxy proxy" "tags tags tags";
  }
}
/* Sign Up Page styles */
.new-account-section .form-section {
  background-color:transparent;
  padding:0;
}

.new-account-hint {font-size:2.5rem;}

.new-account-section .form-section form {
  background-color:antiquewhite;
  border-radius:1em;
  padding:1em;
}

@media screen and (min-width: 75em) {
  .new-account-section .form-section {
    width: 33vw;
    min-width:30em;
    margin:1em auto;
    background-color:transparent;
  }
  .new-account-section .form-section form {
    background-color:antiquewhite;
    border-radius:1em;
    padding:2em;
  }
  .new-account-section .new-account-embeded-image {
    padding:3rem;
    max-width:66vw;
  }
  blockquote {padding:2em;}
  blockquote span {
    display:block;
    width:100%;
    font-size:2.2rem;
    font-weight:bold;
  }
  blockquote cite {
    display:block;
    width:100%;
    font-size:1em;
    text-align:center;
  }	
  .signup-faq {
    margin:2.5%;
    text-align:left!important;
    padding-top:1em;
  }
}
.desktop {display:none;}

@media screen and (min-width: 62em){
  .desktop {display:block;}
  .mobile {display:none;}
}

/* faq styles */
dl {
  column-count: 1;
  column-gap: 0rem;
}

.fw dl {
  column-count: 1;
  column-gap: 0rem;
}
@media (min-width:48em) {
  dl {
    column-count: 2;
    column-gap: 5rem;
  }
  .fw dl {
    column-count: 3;
    column-gap: 5rem;
  }
}

dt {font-weight:bold; margin-bottom: 1rem;}
dt.subtitle {
  border-bottom: 2px solid #000;
  margin:2rem 0;
}
dt.subtitle:first-child {
  border-bottom: 2px solid #000;
  margin:0 0 2rem 0;
}
dd {margin-bottom:1rem;}
.bk-wall .brandkit-logo,
.bk-wall .logo {
  max-height: 20rem;
}

@media screen and (min-width: 36em) {
  .bk-wall {
    margin: 10em auto 4em auto;
    padding:3rem 6rem
  }
}

@media screen and (min-width: 48em) {
  .bk-wall {
    margin: 10em 4em;
  }
}
.reset-password-section {
  background-color:#fff;
  width:fit-content;
  margin:0 4em;
}/* full width section */
.fw {padding:4em 0;}

@media (min-width:77rem) {
  .fw {
    width:100vw;
    padding:4em 0;
  } 
}

/* full height section */
.fh {
  padding-top:0;
  padding-bottom:0;
}

/* two column grids used throughout site */
.two-col-grid {
  display:grid;
  grid-template-columns: 1fr;
  grid-auto-rows: minmax(min-content, max-content);
  grid-column-gap: 2em;
  grid-row-gap:2em;
}
.two-col-grid article {
  display:grid;
  grid-auto-rows: minmax(min-content, max-content);
}
/* Tablet Breakpoint 768px / 16px = 48em */
@media (min-width:48em) {
  .two-col-grid {
    display:grid;
    grid-template-columns: 1fr 1fr;
    grid-column-gap: 6em;
    grid-row-gap:6em;
  }
  .two-col-grid h1, .two-col-grid h2 {
  }
}  
/* end 2 col grid */

/* 3 column grids used throughout site */
.three-col-grid {
  display:grid;
  grid-template-columns: 1fr;
  grid-auto-rows: minmax(min-content, max-content);
  grid-column-gap: 2em;
  grid-row-gap: 2em;
}
.three-col-grid article {
  display:grid;
  grid-auto-rows: minmax(min-content, max-content);
}

/* Tablet Breakpoint 768px / 16px = 48em */
@media (min-width:48em) {
  .three-col-grid {
    display:grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-column-gap: 4em;
    grid-row-gap:4em;
  }
}
/*  Desktop Breakpoint 1200px / 16px = 75em*/ 
@media (min-width:75em) {
  .three-col-grid {
    display:grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-column-gap: 4em;
    grid-row-gap:4em;
  }
  .three-col-grid h1, .three-col-grid h2 {
  }
}  
/* end 3 col grid */

/* 4 column grids used throughout site */
.four-col-grid {
  display:grid;
  grid-template-columns: 1fr;
  grid-auto-rows: minmax(min-content, max-content);
  grid-column-gap: 2em;
  grid-row-gap: 2em;
}
.four-col-grid article {
  display:grid;
  grid-auto-rows: minmax(min-content, max-content);
}
/*  Desktop Breakpoint 768px / 16px = 48em */ 
@media (min-width:48em) {
  .four-col-grid {
    display:grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-column-gap: 2em;
    grid-row-gap:2em;
  }
}
/*  Desktop Breakpoint 1200px / 16px = 75em */   
@media (min-width:75em) {
  .four-col-grid {
    display:grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-column-gap: 2em;
    grid-row-gap:2em;
  }
}  
/* end 4 col grid */
/* reset section padding on occasion */
.tight-bottom {padding-bottom:0;}
.tight-top {padding-top:0;}
.tight-left {padding-left:0;}
.tight-right {padding-right:0;}

section .intro, #intro {
  text-align:center;
  padding-bottom:3rem; /* reset padding on sections */
}
section.blackbg {
  background-color: #121212;
  color: #fff!important;
}
section.whitebg {
  background-color: #fff;
  color: #000!important;
}
.search-grid-section .assets-pagination {
    padding-bottom: 2rem; /* reset padding on sections */
}
/* reset section padding on occasion */
.tight-bottom {padding-bottom:0;}
.tight-top {padding-top:0;}
.tight-left {padding-left:0;}
.tight-right {padding-right:0;}

/* html section */
.html-section {
  width:100vw;
  padding-top:3rem;/* reset padding on sections */
  padding-left:2em;
  padding-right:2em;
  padding-bottom:3rem;/* reset padding on sections */
}
.html-section img {margin:2em auto;}
.html-section p img {margin:0 auto;}
.html-section:first-child {padding-top:6rem;}

@media (min-width:62em) {
  .html-section {
    padding-left:3em; 
    padding-right:3em;  
  }
}  
@media (min-width:75em) {
  .html-section {
    padding-left:calc(50% - 34.5em); 
    padding-right:calc(50% - 34.5em);   
  }
}  
@media (min-width:120em) {
  .html-section {
    padding-left:calc(50% - 45em); 
    padding-right:calc(50% - 45em);  
  }
}/* Button styles */
/* html section */
.albums-section {
  width:100vw;
  padding-top:4rem;/* reset padding on sections */
  padding-left:2em;
  padding-right:2em;
  padding-bottom:2rem;/* reset padding on sections */
}
.albums-section img {margin:2em auto;}
.albums-section p img {margin:0 auto;}

@media (min-width:62em) {
  .albums-section {
    padding-left:3em; 
    padding-right:3em;  
  }
}  
@media (min-width:75em) {
  .albums-section {
    padding-left:calc(50% - 34.5em); 
    padding-right:calc(50% - 34.5em);   
  }
}  
@media (min-width:120em) {
  .albums-section {
    padding-left:calc(50% - 45em); 
    padding-right:calc(50% - 45em);  
  }
}



/* Albums widget */
.albums-grid .album {
  aspect-ratio:3 / 2;
} /* sets aspect ratio of album covers consistently when height is calculated */
.album-cover,.album-with-no-cover {
  border:0px solid transparent;/* remove border except when hovered or selected */
  background-color: var(--blue);
  color:#fff;
}
.album-cover:hover, .album-with-no-cover:hover {
  border:5px solid var(--blue);
}
/* increase standard size of album circles */
.album-cover, .album-with-no-cover {
    width: 15rem;
    height: 15rem;
  } 
.albums-horizontal-grid .album-title {
    width: 15rem;
}
.albums-section img {
    margin: auto auto;
}

/* new album select state */
a.album-selected {
  border: none;
  box-shadow: none;
}
a.album-selected img, a.album-selected div.album-with-no-cover {
  border:5px solid var(--blue);
  box-shadow: 0 15px 25px 1px #ccc;
}
a.album-selected span.album-title {
  color:#000;
  font-weight:bold;
}


/* end album select state */

@media screen and (min-width: 62em) {
  .albums-horizontal-grid .album-wrapper {
	max-width:100%;
    overflow-wrap:normal;
    flex-wrap:wrap;
  }
}
/* carousel */

#carousel {    
  position: relative;    
  line-height: 0;    
  height: 100%;    
  padding: 0;    
}

/* image overlay */
#carousel .carousel-slide::after {
  content: '';
  background: linear-gradient(360deg, rgba(0,0,0,.5) 0%, rgba(0,0,0,.2) 100%);
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
}

.carousel-container {    
  display: flex;    
  transition: transform 1s ease;
} 

.carousel-slide {    
  flex: 0 0 100%; /* Ensure each slide takes full width */
  position: relative;
}

.carousel-slide img {    
  width: 100%;
  margin: 0 auto;
}

/* left and right navigation (hidden) */
.prev,.next {    
  position: absolute;    
  top: 0;    
  background-color: red;    
  cursor: pointer;    
  height: 94.5%;    
  width: 10%;    
  z-index: 2;    
  opacity: 0;
}

.prev {    
  left: 0;
}

.next {    
  right: 0;
}

/* slide indicators */
.carousel-dots {  
  position: absolute;  
  bottom: 10%;   
  left: 50%;  
  transform: 
  translateX(-50%); /* Corrects horizontal centering */
  z-index: 2;
}

.dot {    
  display: inline-block;    
  width: 10px;    
  height: 10px;    
  background-color: #ccc;    
  border-radius: 50%;    
  margin: 0 5px;    
  cursor: pointer;
}

/* active slide indicator */
.dot.active {    
opacity: 100%;
}

/* inactive slide indicator */
.dot:not(.active) {    
opacity: 50%;
}

.caption {
  position: relative;
  bottom: 4rem;
  left: 2rem;
  z-index: 2;
  text-decoration: none;
  color: #fff;
  opacity: 0.7;
  margin-bottom: -1.6rem;
}

.carousel-hero-text {
  position: relative;
  width: 100%;
  margin-top: calc(-100vw / 3);
  height: calc(100vw / 3);
  display: none;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  color: #fff;
  text-align: center;
  z-index: 1;
  line-height: 1.6;
}

@media screen and (min-width: 62em){
  .carousel-hero-text {
    display: flex;
  }
}

/* fixes stacking with carousel */
.cookies-preferences-section-overlay {z-index: 2;}/* move searchbox up over carousel */
#searchbox.search-box-section.desktop {
  position: relative;  
  width: 100%;
  /* position down from top amount of main padding / navbar height */
  margin-top: calc(-100vw/3);
  /* calculate height by aspect ratio of carousel images, so it's the same size */
  height: calc(100vw/3);
  z-index: 2;
  color: #fff;
  pointer-events: none;
}

.desktop .search-box-component {
  width: 50%;
  pointer-events: auto;
}

@media screen and (max-width: 36em) {.search-box input{font-size: 80%;}}

/* Styles for the 'assets-button' */
.assets-button {
  background-color: #111;
  outline: 1px solid #111;
}

/* Hover effect */
.assets-button:hover {
  opacity: 0.7;
}

/* filters */
.filters{
  justify-content: center;
}

.filter-options {
  z-index: 2
}

.filter-options .filter-option:hover {
  color: #fff;
  background-color: #111;
}

.filter-options .filter-option.selected {
  font-weight: bold;
  background-color: transparent;
  color: #111;
}

.filter-button:hover {
  opacity: 0.7
}

/* show the Search label and the And/Or toggle in the Search Grid - check render colour in each theme */
label.search-label {display:block;}